org.springframework.cache.interceptor

## Interface CacheOperationSource

All Known Implementing Classes:
  AbstractFallbackCacheOperationSource, AnnotationCacheOperationSource, CompositeCacheOperationSource, NameMatchCacheOperationSource

    public interface CacheOperationSource

Interface used by `CacheInterceptor`. Implementations know how to source cache operation attributes, whether from configuration, metadata attributes at source level, or elsewhere.

Since:
  3.1
Author:
  Costin Leau

### Method Summary

Methods
`Collection<CacheOperation>` `getCacheOperations(Method method, Class<?> targetClass)` Return the collection of cache operations for this method, or `null` if the method contains no cacheable annotations.

### Method Detail

#### getCacheOperations

    Collection<CacheOperation> getCacheOperations(Method method,
                                                Class<?> targetClass)

Return the collection of cache operations for this method, or `null` if the method contains no cacheable annotations.

Parameters:
  `method` - the method to introspect
  `targetClass` - the target class (may be `null`, in which case the declaring class of the method must be used)
Returns:
  all cache operations for this method, or `null` if none found